Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateFileGenerationStart

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateFileGenerationStart

Enclosing class:
  TdApi

public static final class TdApi.UpdateFileGenerationStart extends TdApi.Update
The file generation process needs to be started by the application.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`conversion`
String specifying the conversion applied to the original file.
`String`
`destinationPath`
The path to a file that must be created and where the new file is generated.
`long`
`generationId`
Unique identifier for the generation process.
`String`
`originalPath`
The path to a file from which a new file is generated; may be empty.

## Constructor Summary

Constructors
Constructor
Description
`UpdateFileGenerationStart()`
The file generation process needs to be started by the application.
`UpdateFileGenerationStart(long generationId, String originalPath, String destinationPath, String conversion)`
The file generation process needs to be started by the application.
`UpdateFileGenerationStart(DataInput input)`
The file generation process needs to be started by the application.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### generationId

public long generationId
Unique identifier for the generation process.

### originalPath

public String originalPath
The path to a file from which a new file is generated; may be empty.

### destinationPath

public String destinationPath
The path to a file that must be created and where the new file is generated.

### conversion

public String conversion
String specifying the conversion applied to the original file. If conversion is "#url#" than originalPath contains an HTTP/HTTPS URL of a file, which must be downloaded by the application.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateFileGenerationStart

public UpdateFileGenerationStart()
The file generation process needs to be started by the application.

### UpdateFileGenerationStart

public UpdateFileGenerationStart(long generationId, String originalPath, String destinationPath, String conversion)
The file generation process needs to be started by the application.

Parameters:
  `generationId` - Unique identifier for the generation process.
  `originalPath` - The path to a file from which a new file is generated; may be empty.
  `destinationPath` - The path to a file that must be created and where the new file is generated.
  `conversion` - String specifying the conversion applied to the original file. If conversion is "#url#" than originalPath contains an HTTP/HTTPS URL of a file, which must be downloaded by the application.

### UpdateFileGenerationStart

public UpdateFileGenerationStart(DataInput input) throws IOException
The file generation process needs to be started by the application.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`